LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-11-2005, 08:00 PM   #1
Hum4ngus
LQ Newbie
 
Registered: Jun 2005
Distribution: Gentoo
Posts: 27

Rep: Reputation: 15
problem with mysql extension.


Hi all,

i've emerged apache2 and configured it, and emerged php. those 2 work just fine (checked with <?php phpinfo() ?>).

and now i want to install phpmyadmin.
so i emerged that.

but when i do http://theserverip/phpmyadmin
i get this error.

cannot load mysql extension;
please check PHP configuration
Documentation

i know what this means cause i've installed mysql on windows once.
so first i had to find the mysql.so file (i'm not that good in linux so i didn't know how the "find" command really worked)

but i've been strugeling with that mysql extension for days now...
i've uncommented extension=mysql.so in the php.ini file
and checked the extension_dir was correct.

but when i type php -m in the command line i get this error.

PHP Warning: Unknown(): Unable to load dynamic library '/usr/lib/php/extensions/mysql.so' - /usr/lib/php/extensions/mysql.so: undefined symbol: PL_perl_destruct_level in Unknown on line 0

i hope someone knows how to help me cause i'm out of idea's.

thnx anyways!

greets Hum4ngus
 
Old 08-12-2005, 12:47 PM   #2
Matir
LQ Guru
 
Registered: Nov 2004
Location: San Jose, CA
Distribution: Ubuntu
Posts: 8,507

Rep: Reputation: 122Reputation: 122
Did you emerge php with the mysql use flag?

Also, are you using mod_php?
 
Old 08-12-2005, 12:53 PM   #3
tuxrules
Senior Member
 
Registered: Jun 2004
Location: Chicago
Distribution: Slackware64 -current
Posts: 1,144

Rep: Reputation: 56
I have no experience with Gentoo and Emerge but it is possible that your php is not compiled with mysql support. If you are using php 5 & running mysql 4.1.x then you need --enable-mysqli compile switch.

I've compiled php with mysqli on slackware and it worked out perfect...again I have no idea about Gentoo so I may be completely off the track here.

Tux,
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
php cannot load mysql extension no_names_left Linux - Software 4 03-02-2005 08:31 PM
PHP difference between --without-mysql and extension=mysql.so progressdll Linux - Software 0 10-14-2004 08:44 AM
phpmyadmin cannot load mysql extension mandrake 10.1 oneride21 Linux - Newbie 1 10-08-2004 10:40 AM
Mysql Php Extension SilentK Linux - Newbie 11 06-11-2004 09:47 AM
PHP does not show mysql as an extension Linix Linux - Newbie 7 01-31-2004 10:13 AM


All times are GMT -5. The time now is 09:46 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration